## org.eclipse.emf.ocl.uml
Interface UMLPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  UMLPackageImpl

Deprecated. Use the `EcorePackage` interface, instead.

    @Deprecated
    public interface UMLPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `UMLFactory`

Nested Class Summary
`static interface` `UMLPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `CALL_OPERATION_ACTION` Deprecated. The meta object id for the '`Call Operation Action`' class
`static int` `CALL_OPERATION_ACTION__OPERATION` Deprecated. The feature id for the 'Operation' reference
`static int` `CALL_OPERATION_ACTION_FEATURE_COUNT` Deprecated. The number of structural features of the 'Call Operation Action' class
`static int` `CONSTRAINT` Deprecated. The meta object id for the '`Constraint`' class
`static int` `CONSTRAINT__BODY` Deprecated. The feature id for the 'Body' containment reference
`static int` `CONSTRAINT__CONSTRAINED_ELEMENT` Deprecated. The feature id for the 'Constrained Element' reference list
`static int` `CONSTRAINT__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `CONSTRAINT__INSTANCE_VAR_NAME` Deprecated. The feature id for the 'Instance Var Name' attribute
`static int` `CONSTRAINT__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `CONSTRAINT__STEREOTYPE` Deprecated. The feature id for the 'Stereotype' attribute
`static int` `CONSTRAINT_FEATURE_COUNT` Deprecated. The number of structural features of the 'Constraint' class
`static String` `copyright` Deprecated.
`static UMLPackage` `eINSTANCE` Deprecated. The singleton instance of the package
`static String` `eNAME` Deprecated. The package name
`static String` `eNS_PREFIX` Deprecated. The package namespace name
`static String` `eNS_URI` Deprecated. The package namespace URI
`static int` `SEND_SIGNAL_ACTION` Deprecated. The meta object id for the '`Send Signal Action`' class
`static int` `SEND_SIGNAL_ACTION__SIGNAL` Deprecated. The feature id for the 'Signal' reference
`static int` `SEND_SIGNAL_ACTION_FEATURE_COUNT` Deprecated. The number of structural features of the 'Send Signal Action' class
`static int` `TYPED_ELEMENT` Deprecated. The meta object id for the '`Typed Element`' class
`static int` `TYPED_ELEMENT__EANNOTATIONS` Deprecated. The feature id for the 'EAnnotations' containment reference list
`static int` `TYPED_ELEMENT__NAME` Deprecated. The feature id for the 'Name' attribute
`static int` `TYPED_ELEMENT__TYPE` Deprecated. The feature id for the 'Type' reference
`static int` `TYPED_ELEMENT_FEATURE_COUNT` Deprecated. The number of structural features of the 'Typed Element' class

Method Summary
`EReference` `getCallOperationAction_Operation()` Deprecated. Returns the meta object for the reference '`Operation`'
`EClass` `getCallOperationAction()` Deprecated. Returns the meta object for class '`Call Operation Action`'
`EReference` `getConstraint_Body()` Deprecated. Returns the meta object for the containment reference '`Body`'
`EReference` `getConstraint_ConstrainedElement()` Deprecated. Returns the meta object for the reference list '`Constrained Element`'
`EAttribute` `getConstraint_InstanceVarName()` Deprecated. Returns the meta object for the attribute '`Instance Var Name`'
`EAttribute` `getConstraint_Stereotype()` Deprecated. Returns the meta object for the attribute '`Stereotype`'
`EClass` `getConstraint()` Deprecated. Returns the meta object for class '`Constraint`'
`EReference` `getSendSignalAction_Signal()` Deprecated. Returns the meta object for the reference '`Signal`'
`EClass` `getSendSignalAction()` Deprecated. Returns the meta object for class '`Send Signal Action`'
`EReference` `getTypedElement_Type()` Deprecated. Returns the meta object for the reference '`Type`'
`EClass` `getTypedElement()` Deprecated. Returns the meta object for class '`Typed Element`'
`UMLFactory` `getUMLFactory()` Deprecated. Returns the factory that creates the instances of the model

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eNAME

    static final String eNAME

  Deprecated.
  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  Deprecated.
  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  Deprecated.
  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final UMLPackage eINSTANCE

  Deprecated.
  The singleton instance of the package.

### CONSTRAINT

    static final int CONSTRAINT

  Deprecated.
  The meta object id for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `UMLPackageImpl.getConstraint()`, Constant Field Values

### CALL_OPERATION_ACTION

    static final int CALL_OPERATION_ACTION

  Deprecated.
  The meta object id for the '`Call Operation Action`' class.

  See Also:
    `CallOperationActionImpl`, `UMLPackageImpl.getCallOperationAction()`, Constant Field Values

### CALL_OPERATION_ACTION__OPERATION

    static final int CALL_OPERATION_ACTION__OPERATION

  Deprecated.
  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### CALL_OPERATION_ACTION_FEATURE_COUNT

    static final int CALL_OPERATION_ACTION_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Call Operation Action' class.

  See Also:
    Constant Field Values

### CONSTRAINT__EANNOTATIONS

    static final int CONSTRAINT__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__NAME

    static final int CONSTRAINT__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__INSTANCE_VAR_NAME

    static final int CONSTRAINT__INSTANCE_VAR_NAME

  Deprecated.
  The feature id for the 'Instance Var Name' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__BODY

    static final int CONSTRAINT__BODY

  Deprecated.
  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### CONSTRAINT__CONSTRAINED_ELEMENT

    static final int CONSTRAINT__CONSTRAINED_ELEMENT

  Deprecated.
  The feature id for the 'Constrained Element' reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__STEREOTYPE

    static final int CONSTRAINT__STEREOTYPE

  Deprecated.
  The feature id for the 'Stereotype' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_FEATURE_COUNT

    static final int CONSTRAINT_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Constraint' class.

  See Also:
    Constant Field Values

### SEND_SIGNAL_ACTION

    static final int SEND_SIGNAL_ACTION

  Deprecated.
  The meta object id for the '`Send Signal Action`' class.

  See Also:
    `SendSignalActionImpl`, `UMLPackageImpl.getSendSignalAction()`, Constant Field Values

### SEND_SIGNAL_ACTION__SIGNAL

    static final int SEND_SIGNAL_ACTION__SIGNAL

  Deprecated.
  The feature id for the 'Signal' reference.

  See Also:
    Constant Field Values

### SEND_SIGNAL_ACTION_FEATURE_COUNT

    static final int SEND_SIGNAL_ACTION_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Send Signal Action' class.

  See Also:
    Constant Field Values

### TYPED_ELEMENT

    static final int TYPED_ELEMENT

  Deprecated.
  The meta object id for the '`Typed Element`' class.

  See Also:
    `TypedElementImpl`, `UMLPackageImpl.getTypedElement()`, Constant Field Values

### TYPED_ELEMENT__EANNOTATIONS

    static final int TYPED_ELEMENT__EANNOTATIONS

  Deprecated.
  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TYPED_ELEMENT__NAME

    static final int TYPED_ELEMENT__NAME

  Deprecated.
  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPED_ELEMENT__TYPE

    static final int TYPED_ELEMENT__TYPE

  Deprecated.
  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### TYPED_ELEMENT_FEATURE_COUNT

    static final int TYPED_ELEMENT_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Typed Element' class.

  See Also:
    Constant Field Values

Method Detail

### getConstraint

    EClass getConstraint()

  Deprecated.
  Returns the meta object for class '`Constraint`'.

  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_InstanceVarName

    EAttribute getConstraint_InstanceVarName()

  Deprecated.
  Returns the meta object for the attribute '`Instance Var Name`'.

  Returns:
    the meta object for the attribute 'Instance Var Name'.
  See Also:
    `Constraint.getInstanceVarName()`, `getConstraint()`

### getConstraint_Body

    EReference getConstraint_Body()

  Deprecated.
  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `Constraint.getBody()`, `getConstraint()`

### getConstraint_ConstrainedElement

    EReference getConstraint_ConstrainedElement()

  Deprecated.
  Returns the meta object for the reference list '`Constrained Element`'.

  Returns:
    the meta object for the reference list 'Constrained Element'.
  See Also:
    `Constraint.getConstrainedElement()`, `getConstraint()`

### getConstraint_Stereotype

    EAttribute getConstraint_Stereotype()

  Deprecated.
  Returns the meta object for the attribute '`Stereotype`'.

  Returns:
    the meta object for the attribute 'Stereotype'.
  See Also:
    `Constraint.getStereotype()`, `getConstraint()`

### getCallOperationAction

    EClass getCallOperationAction()

  Deprecated.
  Returns the meta object for class '`Call Operation Action`'.

  Returns:
    the meta object for class 'Call Operation Action'.
  See Also:
    `CallOperationAction`

### getCallOperationAction_Operation

    EReference getCallOperationAction_Operation()

  Deprecated.
  Returns the meta object for the reference '`Operation`'.

  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `CallOperationAction.getOperation()`, `getCallOperationAction()`

### getSendSignalAction

    EClass getSendSignalAction()

  Deprecated.
  Returns the meta object for class '`Send Signal Action`'.

  Returns:
    the meta object for class 'Send Signal Action'.
  See Also:
    `SendSignalAction`

### getSendSignalAction_Signal

    EReference getSendSignalAction_Signal()

  Deprecated.
  Returns the meta object for the reference '`Signal`'.

  Returns:
    the meta object for the reference 'Signal'.
  See Also:
    `SendSignalAction.getSignal()`, `getSendSignalAction()`

### getTypedElement

    EClass getTypedElement()

  Deprecated.
  Returns the meta object for class '`Typed Element`'.

  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getTypedElement_Type

    EReference getTypedElement_Type()

  Deprecated.
  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `TypedElement.getType()`, `getTypedElement()`

### getUMLFactory

    UMLFactory getUMLFactory()

  Deprecated.
  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.